<template>
    <v-dialog v-model="dialogVisible" max-width="500px" >

        <v-card>
            <v-card-title>
                <span class="text-h5">{{title}}</span>
            </v-card-title>

            <v-container>
                <slot name="content"></slot>

            </v-container>
            <v-card-text>
                <p>{{message}}</p>
            </v-card-text>
            <v-container>
                    
                    <div class=" d-flex justify-end">
                        <v-btn color="primary" @click="close">ok</v-btn>
                    </div>

            </v-container>


        </v-card>
    </v-dialog>
</template>
<style ></style>
<script>
import { ref } from 'vue'
export default {
    props: {
        title: String,
        message: String,
    },
    setup(props) {

        const dialogVisible = ref(false);
    

        function open(){
            dialogVisible.value = true;

        }

        function close(){
            dialogVisible.value = false;
        }

        return {
            dialogVisible,
            open,
            close
        };
    },
    components: {}
}
</script>
